%define aurox_ver 9.3
%define rel 4


%define desktop_file 1
%if %{desktop_file}
%define desktop_file_utils_version 0.2.90
%endif
Summary: SDL MPEG Library
Name: smpeg
Epoch: 1
Version: 0.4.4
Release: %{aurox_ver}.aur.%{rel}
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
Patch: smpeg-0.4.4-gcc31.patch
Patch1: smpeg-0.4.4-automake15.patch
Patch2: smpeg-autoconf253.patch
Patch3: smpeg-gtv.patch
Patch4: smpeg-0.4.4-plaympeg.patch
Patch5: smpeg-m4.patch
URL: http://www.lokigames.com/development/smpeg.php3
BuildPrereq: SDL-devel >= 1.2.4-1
Requires: SDL >= 1.2.0
BuildRequires: arts-devel >= 7:1.0.0
%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif
Requires: arts >= 7:1.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package devel
Summary: Libraries, includes and more to develop SMPEG applications.
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%package gtv
Summary: A simple MPEG video and audio player
Group: Applications/Multimedia
Requires: %{name} = %{epoch}:%{version}

%description gtv
A simple MPEG video and audio player using smpeg

%prep
%setup -q
%patch0 -p1 -b .gcc31
%patch1 -p1 -b .am15
%patch2 -p1 -b .ac253
%patch3 -p1 -b .gtv
%patch4 -p1 -b .plaympeg
%patch5 -p0

%build
[ -e /usr/share/automake-1.6/depcomp ] && cp -f /usr/share/automake-1.6/depcomp .
touch INSTALL NEWS AUTHORS ChangeLog
./autogen.sh
autoreconf
%configure --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
desktop="%{buildroot}%{_datadir}/applications/gnome-gtv.desktop"
%else
mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
desktop="%{buildroot}/etc/X11/applnk/Multimedia/gtv.desktop"
%endif
cat > $desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Categories=Application;AudioVideo;X-Red-Hat-Extra
X-Desktop-File-Install-Version=0.2
Name=GTV MPEG Player
Name[pl]=GTV
Name[sv]=GTV MPEG-spelare
Type=Application
Comment=Simple player for MPEG Movies
Comment[pl]=Prosty odtwarzacz filmów MPEG
Comment[sv]=Enkel spelare fr MPEG-filmer
Exec=gtv
MimeType=video/mpeg
EOF

mkdir -p $RPM_BUILD_ROOT/usr/share/aclocal
install -m 644 smpeg.m4 $RPM_BUILD_ROOT/usr/share/aclocal

rm -f $RPM_BUILD_ROOT/usr/bin/glmovie

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*
%{_bindir}/plaympeg
%{_mandir}/man1/plaympeg*

%files devel
%defattr(-, root, root)
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%exclude %{_libdir}/lib*.la
%{_datadir}/aclocal/*

%files gtv
%defattr(-,root,root)
%if %{desktop_file}
%{_datadir}/applications/*
%else
/etc/X11/applnk/Multimedia/gtv.desktop
%endif
%{_bindir}/gtv
%{_mandir}/man1/gtv*


%changelog
* Fri Feb 06 2004 Aurox Team <aurox@aurox.org> 1:0.4.4-9.3.aur.4
- add epoch
- do not include .la file; it creates false dependency on stdc++

* Thu Apr 17 2003 Robert Glowczynski <robertg@software.com.pl>
- remove glmovie
- rebuilt for Aurox Linux

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Than Ngo <than@redhat.com> 0.4.4-16
- desktop file issue (bug #69440)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 0.4.4-15
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.4.4-14
- automated rebuild

* Wed Jun 12 2002 Than Ngo <than@redhat.com> 0.4.4-13
- fixed segfaults fault when attempting to play non-existent file (bug #66625)

* Sun Jun 09 2002 Than Ngo <than@redhat.com> 0.4.4-12
- fixed a segmentation fault bug (bug #66323)

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-10
- Fix build in current environment

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 0.4.4-9
- fix bug #62090

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.4.4-8
- fix to build in new enviroment

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-7
- Rebuild to get rid of superfluous dependencies
  [dependencies removed in SDL 1.2.3-5]
- Move gtv to a separate package.

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-4
- Rebuild with new aRts
- Fix build with gcc 3.1 and automake 1.5

* Mon Jul 23 2001 Than Ngo <than@redhat.com>
- fix buildprereq dependency (bug #49701)
- Copyright->License

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild to remove libXv/libXxf86dga deps

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-1
- 0.4.4

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.4.3, SDL 1.2.0
- Clean up specfile
- Add missing aclocal file, needed for the current SDL_mixer to build

* Tue Feb 27 2001 Preston Brown <pbrown@redhat.com>
- don't own manpage dir

* Mon Jan 22 2001 Than Ngo <than@redhat.com>
- updated to 0.4.2, which fixes many bugs (Bug #21354)

* Tue Oct 2 2000 Than Ngo <than@redhat.com>
- update to 0.4.1
- clean up specfile

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15336)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- better .desktop entry

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- fix up for Winston, use FHS paths

* Fri Mar  3 2000 Sam Lantinga <hercules@lokigames.com>
- Split package into development and runtime packages
